GX29: o evento de tecnologia e negócios mais importante da América-Latina. 23 a 25 de Setembro.

Anúncio para usuários do Android usando as APIs do Google Cloud Messaging e o Google Places

Google fez mudanças disruptivas em suas APIs e serviços de Google Cloud Messaging e do Google Places que exigem atualização dos sistemas, é por isso que algumas aplicações nativas de Android exigirão ser atualizadas nas próximas semanas, a fim de permanecer em operação.

Os avanços - especialmente na construção de aplicativos móveis - estão ocorrendo em alta velocidade. Nossas aplicações estão cada vez mais integradas com terceiros e usam mais e mais APIs que eles fornecem. GeneXus faz esforços para manter a compatibilidade com essas APIs e impedir que seus usuários tenham de alterar o código GeneXus para se adaptar às mudanças, mas em alguns casos não consegue evitar que – diante das mudanças disruptivas de terceiros - aplicações tenham de ser atualizadas.

Nessa estrutura, alguns aplicativos nativos de Android gerados com GeneXus precisarão ser atualizados nas próximas semanas para continuar funcionando. A razão é que o Google fez alterações disruptivas em suas APIs e os serviços do Google Cloud Messaging e Google Places, exigem a atualização dos sistemas. ily force some system updates.

Aplicativos Android que devem ser atualizados:
  1. 1) As aplicações de Android (e os serviços Server-side ) que enviam notificações com a funcionalidade de RemoteNotifications baseado em Google Cloud Messaging deixarão de funcionar de modo esperado a partir de 11 de abril de 2019 desde que o Google descontinue nessa data o serviço associado. Em substituição, você deve usar a funcionalidade de Notification Providere API (sugerido desde GeneXus 15 Upgrade 3 em março de 2017) que permite enviar notificações com o OneSignal ou o JPush.

    Mais informações no HowTo: Push Notifications using external provider.

    2) As aplicações de Android que usam alguns recursos específicos associados à geolocalização baseados em recursos descontinuados do serviço do Google Places.

    Eles precisam ser atualizados para o GeneXus 16 Upgrade 3 (build 131594) ou para instalar um hotfix específico.

    Mais informações sobre o SAC 45111 - Problemas na seleção de um ponto em um mapa.

 

Convidamos você a atualizar seus programas ou as instalações de GeneXus o mais rápido possível, a fim de garantir a continuidade das funcionalidades que seus aplicativos oferecem.

Para mais informações ou um hotfix específico, entre em contato com a equipe de suporte de GeneXus: soporte@genexus.com